Skocz do zawartości
  • 0

Skrypt Na Lure


xXx_Xpedii_xXx

Pytanie

Rekomendowane odpowiedzi

  • 0
17 minut temu, xXx_Xpedii_xXx napisał:

Potrzebuje Aby Kazdy Itemek Dostawal Lore Po Zebraniu Go. Tylko Raz

Albo Po Utworzeniu Go W Craftingu

Proszę. Wymagany dodatek skript-reflect. W 5. linijce ustawiasz twój lore.

Co do podnoszenia przedmiotów, będzie dziwnie wyglądało, ale nie ma innego sposobu.

import:
	org.bukkit.event.inventory.PrepareItemCraftEvent
	
options:
	lore: "Linijka 1" and "Linijka 2"

on pickup:
	lore of event-item doesn't contain {@lore}
	cancel event
	delete event-entity
	set {_i} to event-item
	add {@lore} to lore of {_i}
	drop {_i} at player

on PrepareItemCraftEvent:
	set {_i} to event.getInventory().getResult()
	{_i} is not air
	{_i} is set
	lore of {_i} doesn't contain {@lore}
	add {@lore} to lore of {_i}
	event.getInventory().setResult({_i})

 

Odnośnik do komentarza
Udostępnij na innych stronach

  • 0
1 godzinę temu, Kormic napisał:

Proszę. Wymagany dodatek skript-reflect. W 5. linijce ustawiasz twój lore.

Co do podnoszenia przedmiotów, będzie dziwnie wyglądało, ale nie ma innego sposobu.



import:
	org.bukkit.event.inventory.PrepareItemCraftEvent
	
options:
	lore: "Linijka 1" and "Linijka 2"

on pickup:
	lore of event-item doesn't contain {@lore}
	cancel event
	delete event-entity
	set {_i} to event-item
	add {@lore} to lore of {_i}
	drop {_i} at player

on PrepareItemCraftEvent:
	set {_i} to event.getInventory().getResult()
	{_i} is not air
	{_i} is set
	lore of {_i} doesn't contain {@lore}
	add {@lore} to lore of {_i}
	event.getInventory().setResult({_i})

 

ok dzieki

 

1 godzinę temu, Kormic napisał:

Proszę. Wymagany dodatek skript-reflect. W 5. linijce ustawiasz twój lore.

Co do podnoszenia przedmiotów, będzie dziwnie wyglądało, ale nie ma innego sposobu.



import:
	org.bukkit.event.inventory.PrepareItemCraftEvent
	
options:
	lore: "Linijka 1" and "Linijka 2"

on pickup:
	lore of event-item doesn't contain {@lore}
	cancel event
	delete event-entity
	set {_i} to event-item
	add {@lore} to lore of {_i}
	drop {_i} at player

on PrepareItemCraftEvent:
	set {_i} to event.getInventory().getResult()
	{_i} is not air
	{_i} is set
	lore of {_i} doesn't contain {@lore}
	add {@lore} to lore of {_i}
	event.getInventory().setResult({_i})

 

uh gdzie moge pobrac to skript reflect bo kazdy ktory pobiore nie dziala

Wersja : 1.13.2 Paper Spigot

Nieaktywny

Łączę posty.

Odnośnik do komentarza
Udostępnij na innych stronach

  • 0
49 minut temu, xXx_Xpedii_xXx napisał:

teraz jest dobrze ale nie da sie podniesc przedmiotu rzadnego a w craftingu nic sie nie zmienia

Zauważyłem, że przy więcej niż 1 linijce lore skrypt się "gubi".

Co do craftingu, działa bez zarzutu.

import:
	org.bukkit.event.inventory.PrepareItemCraftEvent
	
options:
	lore: "Linijka 1"

on pickup:
	set {_t} to first element out of {@lore}
	lore of event-item doesn't contain {_t}
	send {@lore} to player
	cancel event
	delete event-entity
	set {_i} to event-item
	add {@lore} to lore of {_i}
	drop {_i} at player

on PrepareItemCraftEvent:
	set {_i} to event.getInventory().getResult()
	{_i} is not air
	{_i} is set
	lore of {_i} doesn't contain {@lore}
	add {@lore} to lore of {_i}
	event.getInventory().setResult({_i})

 

Odnośnik do komentarza
Udostępnij na innych stronach

  • 0
28 minut temu, Kormic napisał:

Zauważyłem, że przy więcej niż 1 linijce lore skrypt się "gubi".

Co do craftingu, działa bez zarzutu.




import:
	org.bukkit.event.inventory.PrepareItemCraftEvent
	
options:
	lore: "Linijka 1"

on pickup:
	set {_t} to first element out of {@lore}
	lore of event-item doesn't contain {_t}
	send {@lore} to player
	cancel event
	delete event-entity
	set {_i} to event-item
	add {@lore} to lore of {_i}
	drop {_i} at player

on PrepareItemCraftEvent:
	set {_i} to event.getInventory().getResult()
	{_i} is not air
	{_i} is set
	lore of {_i} doesn't contain {@lore}
	add {@lore} to lore of {_i}
	event.getInventory().setResult({_i})

 

um mam blad :/

Can't understand this event: "import' itemki.sk line 1: import:')
Cant understand this event: 'on PrepareItemCraftEvent')


**podnoszenie juz dziala**
lecz czy dalo by sie wylaczyc na chacie pisanie ze dodano lore?

Edytowane przez xXx_Xpedii_xXx
Odnośnik do komentarza
Udostępnij na innych stronach

  • 0
Teraz, xXx_Xpedii_xXx napisał:

um mam blad :/

Can't understand this event: "import' itemki.sk line 1: import:')
Cant understand this event: 'on PrepareItemCraftEvent')


**podnoszenie juz dziala**

Wpisz na serwerze komendę /ver skript-reflect i powiedz co zostało wysłane na czacie.

Odnośnik do komentarza
Udostępnij na innych stronach

  • 0
Teraz, xXx_Xpedii_xXx napisał:

no wlasnie w tym problem
bo nie wyszukuje mi tego pluginu mimo restartow i zainstalowania go ale w plikach pokazuje wersje 2.1.0

W takim razie usuń go i pobierz jeszcze raz. Jeżeli nie zadziała, podaj ewentualne błędy w konsoli.

Odnośnik do komentarza
Udostępnij na innych stronach

  • 0
12 minut temu, Kormic napisał:

W takim razie usuń go i pobierz jeszcze raz. Jeżeli nie zadziała, podaj ewentualne błędy w konsoli.

znalazlem tylko to 

 


 
Spoiler

 

[16:27:41 ERROR]: Could not load 'plugins/skript-reflect-2.1.0 (2).jar' in folder 'plugins'
org.bukkit.plugin.InvalidPluginException: Unsupported API version 1.15
at org.bukkit.craftbukkit.v1_13_R2.util.CraftMagicNumbers.checkSupported(CraftMagicNumbers.java:226) ~[patched_1.13.2.jar:git-Paper-653]
at org.bukkit.plugin.java.JavaPluginLoader.loadPlugin(JavaPluginLoader.java:130) ~[patched_1.13.2.jar:git-Paper-653]
at org.bukkit.plugin.SimplePluginManager.loadPlugin(SimplePluginManager.java:334) ~[patched_1.13.2.jar:git-Paper-653]
at org.bukkit.plugin.SimplePluginManager.loadPlugins(SimplePluginManager.java:255) ~[patched_1.13.2.jar:git-Paper-653]
at org.bukkit.craftbukkit.v1_13_R2.CraftServer.loadPlugins(CraftServer.java:331) ~[patched_1.13.2.jar:git-Paper-653]
at net.minecraft.server.v1_13_R2.DedicatedServer.init(DedicatedServer.java:235) ~[patched_1.13.2.jar:git-Paper-653]
at net.minecraft.server.v1_13_R2.MinecraftServer.run(MinecraftServer.java:787) ~[patched_1.13.2.jar:git-Paper-653]
at java.lang.Thread.run(Thread.java:748) [?:1.8.0_202]

 

 

Edytowane przez xNightPower_
Nieaktywny

Naprawiam formatowanie na ciemnym stylu, błędy umieszczam w spoilerze.

Odnośnik do komentarza
Udostępnij na innych stronach

  • 0
13 godzin temu, xXx_Xpedii_xXx napisał:

wiecej ramu zrzera + polowa pluginow nie jest na ta wersje i nie bede miec pluginow

Jeśli jakiś plugin nie jest na najnowsze wersje (nie jest aktualizowany), nie powinno się z niego korzystać. Dodam, że na 1.16.4 jest znacznie więcej pluginów niż na 1.13. 1.16.4 jest o wiele lepiej zoptymalizowana niż 1.13, sam możesz porównać zużycie zasobów między paperem 1.13 a tuinity 1.16.4.

Odnośnik do komentarza
Udostępnij na innych stronach

  • 0
3 godziny temu, Helios1993 napisał:

Jeśli jakiś plugin nie jest na najnowsze wersje (nie jest aktualizowany), nie powinno się z niego korzystać. Dodam, że na 1.16.4 jest znacznie więcej pluginów niż na 1.13. 1.16.4 jest o wiele lepiej zoptymalizowana niż 1.13, sam możesz porównać zużycie zasobów między paperem 1.13 a tuinity 1.16.4.

zpotymalizowany? Xd? jak na 1.16 tyle zzera fps itp ramu i wgl ze sie nie da grac
poprostu nie chce zmieniac wersji bo wywalilo by mi wszystkie pluginy a nie mam zamiaru wszystkich znowu pobierac i spolszczac

Odnośnik do komentarza
Udostępnij na innych stronach

  • 0
3 minuty temu, xXx_Xpedii_xXx napisał:

zpotymalizowany? Xd? jak na 1.16 tyle zzera fps itp ramu i wgl ze sie nie da grac
poprostu nie chce zmieniac wersji bo wywalilo by mi wszystkie pluginy a nie mam zamiaru wszystkich znowu pobierac i spolszczac

Już ci odpowiedziałem na to a ty dalej piszesz to samo...

Odnośnik do komentarza
Udostępnij na innych stronach

  • 0
3 minuty temu, xXx_Xpedii_xXx napisał:

sluchaj ja chcialem tylko skrypt a ty ciagniesz o jakis wersjach

W takim razie skrypt dostałeś, tylko musisz rozwiązać problem ze skript-reflectem. Wpadłeś na jakiś trop w tej kwestii czy nadal nic?

Co do optymalizacji, nowsze wersje (tj. 1.13+) są gorsze pod tym względem od starszych. Mimo wszystko jest to jeden z niewielu minusów, najnowsze wersje są już niemalże standardem i trzeba mieć to na uwadze przy tworzeniu serwera.

Odnośnik do komentarza
Udostępnij na innych stronach

  • 0
1 minutę temu, Kormic napisał:

W takim razie skrypt dostałeś, tylko musisz rozwiązać problem ze skript-reflectem. Wpadłeś na jakiś trop w tej kwestii czy nadal nic?

Co do optymalizacji, nowsze wersje (tj. 1.13+) są gorsze pod tym względem od starszych. Mimo wszystko jest to jeden z niewielu minusów, najnowsze wersje są już niemalże standardem i trzeba mieć to na uwadze przy tworzeniu serwera.

wlasnie cos tam w bledach wyszukalem ze jakis API skript potrzebny ale nwm czy to chodzi o placeholder API czy o cos innego :/ 

Odnośnik do komentarza
Udostępnij na innych stronach

Dołącz do dyskusji

Możesz dodać zawartość już teraz a zarejestrować się później. Jeśli posiadasz już konto, zaloguj się aby dodać zawartość za jego pomocą.

Nieaktywny
Odpowiedz na pytanie...

×   Wklejono zawartość z formatowaniem.   Usuń formatowanie

  Dozwolonych jest tylko 75 emoji.

×   Odnośnik został automatycznie osadzony.   Przywróć wyświetlanie jako odnośnik

×   Przywrócono poprzednią zawartość.   Wyczyść edytor

×   Nie możesz bezpośrednio wkleić grafiki. Dodaj lub załącz grafiki z adresu URL.

  • Ostatnio przeglądający   0 użytkowników

    • Brak zarejestrowanych użytkowników przeglądających tę stronę.
×
×
  • Dodaj nową pozycję...